User Provider Identity
sfp server API reference for User Provider Identity: 5 endpoints.
POST
/sfp/api/user/provider-identity/device/startAuthorization
access-token AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/user/provider-identity/device/start" \ -H "Content-Type: application/json" \ -d '{ "provider": "github" }'Empty
POST
/sfp/api/user/provider-identity/device/pollAuthorization
access-token AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/user/provider-identity/device/poll" \ -H "Content-Type: application/json" \ -d '{ "flowId": "string" }'Empty
GET
/sfp/api/user/provider-identityAuthorization
access-token AuthorizationBearer <token>
In: header
Response Body
curl -X GET "https://example.com/sfp/api/user/provider-identity"Empty
DELETE
/sfp/api/user/provider-identity/{id}Authorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
curl -X DELETE "https://example.com/sfp/api/user/provider-identity/string"Empty
POST
/sfp/api/user/provider-identity/{id}/refreshAuthorization
access-token AuthorizationBearer <token>
In: header
Path Parameters
id*string
Response Body
curl -X POST "https://example.com/sfp/api/user/provider-identity/string/refresh"Empty